function init()
	-- NAME & GRAPHIC --
	c.name = "VectorShip"
	c.gfxFile = "vector_ufo.png"
	c.hitScale = 1.5

	-- STATS --
	c.mass = 30
	c.stat.thrust = 1
	c.stat.maxSpeed = 150
	c.stat.turnRate = 70
	c.stat.armour = 1

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.material = 3--vector
	c.setExplodeSound("explode_vector1.wav")
	c.behavior = "ufo"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end